Exemple #1
0
 public static Snap.NX.ThroughCurves Wrap(Tag nxopenThroughCurvesTag)
 {
     if (nxopenThroughCurvesTag == Tag.Null)
     {
         throw new ArgumentException("Input tag is NXOpen.Tag.Null");
     }
     NXOpen.Features.ThroughCurves objectFromTag = Snap.NX.NXObject.GetObjectFromTag(nxopenThroughCurvesTag) as NXOpen.Features.ThroughCurves;
     if (objectFromTag == null)
     {
         throw new ArgumentException("Input tag doesn't belong to an NXOpen.Features.ThroughCurves object");
     }
     return(objectFromTag);
 }
Exemple #2
0
 internal ThroughCurves(NXOpen.Features.ThroughCurves throughCurves) : base(throughCurves)
 {
     this.NXOpenThroughCurves = throughCurves;
 }